/* MAIN.C */
/* Example to illustrate the use of C-callable timer functions.
   RC, 1/22/99  */

#include <signal.h>       /* Header file that contains signal handling 
                             and function prototypes information */
#include <misc.h>         /* Contains the timer functions, such as 
                             timer_set() and timer_on()  */
#include "cdef2181.h"      /* header file to define memory-mapped registers */


void myfunction();         /* prototyping the used functions */


void main(void )
{

timer_set(16384,16384,255);   /* configure the timer */

interrupt(SIGTIMER,myfunction);  

timer_on();                     /* enable timer */

while(1) {
asm("idle;");                /* wait for an interrupt */
  }

}                           /* end of main */


void myfunction() 
{

asm("toggle fl1;");

}
